libnss-ldap (265-3ubuntu2) vivid; urgency=low

  * Changelog entry enhanced from previous version with more details.
  * debian/changelog : removed po-debconf from Build-depends
  * Merge from Debian unstable.  Remaining changes:
    (LP: #1389152)
    + debian/control: update Maintainer field
      - Removed cdbs, quilt, patchutils as the build now uses dh-autoreconf
      - Kept po-debconf out of Build-depends
      - Move nscd to Suggests
    + removed the following files:
      - debian/config
      - debian/libnss-ldap.postinst
      - debian/libnss-ldap.postrm
      - debian/po
      - debian/templates
    + modified the following files:
      - debian/libnss-ldap.dirs - Adapted to new build structure
      - debian/libnss-ldap.install - Adapted to new build structure
    + debian/LDAP-Permissions.txt: use /etc/ldap.conf
    + debian/README.Debian: use /etc/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/libnss-ldap.dirs: removed usr/share/libnss-ldap
    + debian/patches :
      - authpriv_log_c & authpriv_log_h merged into log_authpriv.patch
      - autoreconf.patch dropped as dh-autoreconf is used now
      - debian_conf is now conf_notes.patch
      - fix-ethers-truncation.patch is dropped since fixed upstream
      - fix-glibc-test-for-armel-gnueabi.patch replaced by 
        treat-all-debian-systems-like-linux.patch
      - glibc-2.16.patch Handle removal of __libc_lock_lock and similar
      symbols from libc (LP: #1387594)
  * Remaining changes from debian unstable for LP: #155947
    + added debian/nssldap-update-ignoreusers which update
      nss_initgroups_ignoreusers in /etc/ldap.conf based on
      nss_initgroups_minimum_uid
    + add manpage for nssldap-update-ignoreusers
    + debian/libnss-ldap.install: added usr/sbin/nssldap-update-ignoreusers
      and usr/share/man/man8/nssldap-update-ignoreusers.8
    + added debian/libnss-ldap.init to call nssldap-update-ignoreusers on
      shutdown
    + debian/rules: install initscript
    + debian/libnss-ldap.dirs: added var/lib/libnss-ldap
    + debian/patches/minimum_uid.patch: update ldap.conf and manpage for
      nss_initgroups_ignoreusers and nss_initgroups_minimum_uid updates;

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 03 Nov 2014 17:03:35 +0100

libnss-ldap (265-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable (lp: #1389152).  Remaining changes:
    + debian/control: update Maintainer field
    + removed the following files:
      - debian/config
      - debian/libnss-ldap.postinst
      - debian/libnss-ldap.postrm
      - debian/po
      - debian/templates
    + modified the following files:
      - debian/libnss-ldap.dirs - Adapted to new build structure
      - debian/libnss-ldap.install - Adapted to new build structure
    + debian/LDAP-Permissions.txt: use /etc/ldap.conf
    + debian/README.Debian: use /etc/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/libnss-ldap.dirs: removed usr/share/libnss-ldap
    + debian/control: move nscd to Suggests
  * Remaining changes from debian unstable for LP: #155947
    + added debian/nssldap-update-ignoreusers which update
      nss_initgroups_ignoreusers in /etc/ldap.conf based on
      nss_initgroups_minimum_uid
    + add manpage for nssldap-update-ignoreusers
    + debian/libnss-ldap.install: added usr/sbin/nssldap-update-ignoreusers
      and usr/share/man/man8/nssldap-update-ignoreusers.8
    + added debian/libnss-ldap.init to call nssldap-update-ignoreusers on
      shutdown
    + debian/rules: install initscript
    + debian/libnss-ldap.dirs: added var/lib/libnss-ldap
    + debian/patches/minimum_uid.patch: update ldap.conf and manpage for
      nss_initgroups_ignoreusers and nss_initgroups_minimum_uid updates;

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 03 Nov 2014 17:03:35 +0100

libnss-ldap (265-3) unstable; urgency=low

  * QA upload.
  * When purging the package, only remove configuration files if it is the
    last multiarch package (Closes: #706182).
  * Minor changes to nsswitch.ldap (Closes: #384187).

 -- Arthur de Jong <adejong@debian.org>  Sat, 07 Dec 2013 15:11:28 +0100

libnss-ldap (265-2) unstable; urgency=low

  * QA upload.
  * Set package section to admin, following override file.
  * Add glibc-2.16.patch to handle removal of __libc_lock_lock and similar
    symbols from libc (Closes: #727177).

 -- Arthur de Jong <adejong@debian.org>  Sat, 26 Oct 2013 22:08:10 +0200

libnss-ldap (265-1) unstable; urgency=low

  [ Barry deFreese ]
  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
      (See: #699114).
  * New upstream release.
    + Fix ether lookups. (Closes: #310563).
    + Add broken_build_system.patch.
    + Add fix_multiarch_dir.patch.
    + Borrow fix_ldap_sessions_mem_leak.patch from Ubuntu.
  * Update postinst to use nscd or unscd (Closes: #661628, #134214).
  * Make package source format 3.0 (quilt).
  * Replace CDBS build system with dh style.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

  [ Arthur de Jong ]
  * Use dh_autoreconf with the latests automake and refresh patches and
    dependencies accordingly (Closes: #724408).
  * Add Homepage and Vcs-* fields to debian/control.
  * Drop dh_buildinfo build-dependency and clean up build dependencies.
  * Add DEP-3 headers to all patches and use consistent naming for patches.
  * Add lintian override for the NSS module which looks like a shared
    library but isn't.
  * Clean up the maintainer scripts and make it easier to share code with
    libpam-ldap.
  * Add spelling-fix.patch with spelling fixes in the manual page (thanks
    Lintian).
  * Remove --enable-schema-mapping from configure call which was removed a
    long time ago.
  * Add lintian override for lintian not finding use of debconf template
    in config script.
  * When restarting (u)nscd, check whether the init script is present
    (Closes: #719878).
  * Remove code for removing old /etc/init.d/libnss-ldap kluge.
  * Debconf translations:
    - Turkish (Closes: #672330)

 -- Arthur de Jong <adejong@debian.org>  Fri, 18 Oct 2013 17:43:30 +0200

libnss-ldap (264-2.5) unstable; urgency=low

  * Non-maintainer upload.
  * Needs to build-depend on automake1.9.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 29 Sep 2012 15:12:21 +0000

libnss-ldap (264-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Peter Green to solve build failure on arm* kfreebsd*
    (closes: #683011).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 28 Sep 2012 13:51:01 +0000

libnss-ldap (264-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch: (closes: #653664)
    - Mark libnss-ldap as same.
    - Adjust build-dependencies.
  * Add hack to find correct libc in a multi-arch environment.
  * Fix symlink generation.

 -- Bastian Blank <waldi@debian.org>  Mon, 14 May 2012 10:41:48 +0000

libnss-ldap (264-2.2ubuntu4) quantal; urgency=low

  * Fix /usr/lib/libnss_ldap.so broken symlink and location, which was missed
    when multiarch support was added (LP: #1020152).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 18 Jul 2012 14:20:27 +0100

libnss-ldap (264-2.2ubuntu3) quantal; urgency=low

  * Change dependency on ldap-auth-config to a recommendation only, since
    using LDAP name services does not automatically mean that authentication
    must be via LDAP (LP: #1016592).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 22 Jun 2012 22:09:08 +0100

libnss-ldap (264-2.2ubuntu2) precise; urgency=low

  * Build for multiarch.
  * Drop dh-buildinfo, which is not multiarch safe and redundant with build
    logs.
  * Pass the multiarch dir name to make as MULTI_OS_DIRECTORY, so that the
    upstream build system can actually find libc and nss_files on disk and
    we don't misbuild with wrong filenames.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Dec 2011 02:56:26 +0000

libnss-ldap (264-2.2ubuntu1) natty; urgency=low

  * Drop number prefixes from Ubuntu-specific patches
    (00fix-ethers-truncation, 01_minimum_uid, and
    02_fix_ldap_sessions_mem_leak) since the package uses a quilt series now.
  * Merge from Debian; remaining changes:
    + debian/control: Depends on ldap-auth-config
    + debian/control: Removed Depends on po-debconf and (debconf handled by
      ldap-auth-config now)
    + removed the following files:
      - debian/config
      - debian/libnss-ldap.postinst
      - debian/libnss-ldap.postrm
      - debian/po
      - debian/templates
    + debian/LDAP-Permissions.txt: use /etc/ldap.conf
    + debian/README.Debian: use /etc/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/libnss-ldap.dirs: removed usr/share/libnss-ldap
    + debian/control: move nscd to Suggests
    + debian/patches/series, debian/patches/fix-ethers-truncation.patch:
      Fix lookups for hostname by MAC address
      (http://bugzilla.padl.com/show_bug.cgi?id=388) (LP: #315241)
    + Add patch fix-glibc-test-for-armel-gnueabi to allow linux-gnueabi as
      target_os for armel and an autoreconf patch to update generated files.
  * Remaining changes from debian unstable for LP: #155947
    + added debian/nssldap-update-ignoreusers which update
      nss_initgroups_ignoreusers in /etc/ldap.conf based on
      nss_initgroups_minimum_uid
    + add manpage for nssldap-update-ignoreusers
    + debian/libnss-ldap.install: added usr/sbin/nssldap-update-ignoreusers
      and usr/share/man/man8/nssldap-update-ignoreusers.8
    + added debian/libnss-ldap.init to call nssldap-update-ignoreusers on
      shutdown
    + debian/rules: install initscript
    + debian/libnss-ldap.dirs: added var/lib/libnss-ldap
    + debian/patches/minimum_uid.patch: update ldap.conf and manpage for
      nss_initgroups_ignoreusers and nss_initgroups_minimum_uid updates;
      WARNING: this patch is currently not applied and needs testing.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 06 Nov 2010 13:07:50 -0400

libnss-ldap (264-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #572767

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jun 2010 07:37:18 +0200

libnss-ldap (264-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adapt versioned dependency on debhelper to the current debhelper
    compatibility level
  * Add ${misc:Depends} to binary package dependencies to properly cope
    with dependencies triggerred by debhelper
  * Fix pending l10n issues. Debconf translations:
    - Finnish (Esko Arajärvi).  Closes: #533599
    - Italian (Luca Monducci).  Closes: #544598
    - Slovak (Ivan Masár).  Closes: #571222

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Mar 2010 08:46:28 +0100

libnss-ldap (264-2ubuntu3) natty; urgency=low

  * Add patches 60_fix-glibc-test-for-armel-gnueabi and 90_autoreconf to
    series; this should have been done when merging the new Debian version
    which switched to quilt (264-2ubuntu1).
  * Refresh 90_autoreconf; for reference, this is generated with autoreconf
    -fi; rm -rf autom4te.cache *~.
  * Rename 60_fix-glibc-test-for-armel-gnueabi to
    fix-glibc-test-for-armel-gnueabi and 90_autoreconf to autoreconf as
    numbers are superfluous and inconsistent with Debian patches now.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 17 Oct 2010 15:09:41 +0200

libnss-ldap (264-2ubuntu2) lucid; urgency=low

  * Fix ldap sessions memory leak (LP: #292971).

 -- Mathias Gug <mathiaz@ubuntu.com>  Fri, 02 Apr 2010 17:39:51 -0400

libnss-ldap (264-2ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    + debian/control: update Maintainer field now that in main
    + debian/control: Depends on ldap-auth-config
    + debian/control: Removed Depends on po-debconf and debconf (debconf
      handled by ldap-auth-config now)
    + removed the following files:
      - debian/config
      - debian/libnss-ldap.postinst
      - debian/libnss-ldap.postrm
      - debian/patches/00debian_conf.patch
      - debian/po
      - debian/templates
    + debian/LDAP-Permissions.txt: use /etc/ldap.conf
    + debian/README.Debian: use /etc/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/libnss-ldap.dirs: removed usr/share/libnss-ldap
    + debian/control: move nscd to Suggests
    + debian/patches/series, debian/patches/00fix-ethers-truncation.patch:
      Fix lookups for hostname by MAC address (http://bugzilla.padl.com/show_bug.cgi?id=388) (LP: #315241)
  * Remaining changes from debian unstable for LP: #155947
    + added debian/nssldap-update-ignoreusers which update
      nss_initgroups_ignoreusers in /etc/ldap.conf based on
      nss_initgroups_minimum_uid
    + add manpage for nssldap-update-ignoreusers
    + debian/libnss-ldap.install: added usr/sbin/nssldap-update-ignoreusers
      and usr/share/man/man8/nssldap-update-ignoreusers.8
    + added debian/libnss-ldap.init to call nssldap-update-ignoreusers on
      shutdown
    + debian/rules: install initscript
    + debian/libnss-ldap.dirs: added var/lib/libnss-ldap
    + debian/patches/01_minimum_uid.patch: update ldap.conf and manpage for
      nss_initgroups_ignoreusers and nss_initgroups_minimum_uid updates

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 01:24:42 +0000

libnss-ldap (264-2) unstable; urgency=low

  * Build-Depend on quilt

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 01 Mar 2009 04:12:00 -0000

libnss-ldap (264-1) unstable; urgency=low

  * New upstream version
  * Use quilt for patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 28 Feb 2009 06:30:00 -0000

libnss-ldap (263-1) unstable; urgency=low

  * New upstream version

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 26 Oct 2008 06:22:00 -0000

libnss-ldap (262-1) unstable; urgency=low

  * New upstream version

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 23 Aug 2008 17:33:00 -0000

libnss-ldap (261-2.1ubuntu4) karmic; urgency=low

  * debian/patches/00-fix-ethers-truncation.patch: Fix lookups for hostname by
    mac address. (http://bugzilla.padl.com/show_bug.cgi?id=388) (LP: #315241)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 Oct 2009 14:13:47 -0400

libnss-ldap (261-2.1ubuntu3) karmic; urgency=low

  * New patch, 60_fix-glibc-test-for-armel-gnueabi, allow linux-gnueabi as a
    valid GLIBC OS name; LP: #387576.  Also add patch 90_autoreconf to update
    autotools files.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 08 Sep 2009 12:58:31 +0200

libnss-ldap (261-2.1ubuntu2) karmic; urgency=low

  * Rebuild against split Kerberos libraries.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jul 2009 11:05:14 +0100

libnss-ldap (261-2.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/control: update Maintainer field
    + debian/control: Depends on ldap-auth-config
    + debian/control: removed Build-Depends on po-debconf and Depends on
      debconf (debconf handled by ldap-auth-config now)
    + removed the following files:
      debian/config
      debian/libnss-ldap.postinst
      debian/libnss-ldap.postrm
      debian/patches/00debian_conf.patch
      debian/po
      debian/templates
    + debian/LDAP-Permissions.txt: use /etc/ldap.conf
    + debian/README.Debian: use /etc/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/libnss-ldap.dirs: removed usr/share/libnss-ldap
    + debian/control: move nscd to Suggests
  * Remaining changes from debian unstable for LP: #155947:
    + added debian/nssldap-update-ignoreusers which updates
      nss_initgroups_ignoreusers in /etc/ldap.conf based on
      nss_initgroups_minimum_uid
    + add manpage for nssldap-update-ignoreusers
    + debian/libnss-ldap.install: added usr/sbin/nssldap-update-ignoreusers
      and usr/share/man/man8/nssldap-update-ignoreusers.8
    + added debian/libnss-ldap.init to call nssldap-update-ignoreusers on
      shutdown
    + debian/rules: install initscript
    + debian/libnss-ldap.dirs: added var/lib/libnss-ldap
    + debian/patches/01_minimum_uid.patch: update ldap.conf and manpage for
      nss_initgroups_ignoreusers and nss_initgroups_minimum_uid updates

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 18 Nov 2008 13:06:19 -0600

libnss-ldap (261-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * libnss-ldap calls nscd init script w/o checking its existance
    (Closes: #502760)

 -- Neil Williams <codehelp@debian.org>  Tue, 04 Nov 2008 14:07:23 +0000

libnss-ldap (261-2) unstable; urgency=low

  * Updated nl.po                               Closes: #469175
    Thanks to Bart Cornelis

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 03 Jul 2007 03:10:00 -0000

libnss-ldap (261-1) unstable; urgency=high

  * New upstream release
    - Comment in 1st line                       Closes: #486778

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 03 Jul 2007 03:10:00 -0000

libnss-ldap (260-1ubuntu2) intrepid; urgency=low

  * debian/control: move nscd to Suggests

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Jul 2008 07:44:39 -0400

libnss-ldap (260-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/control: update Maintainer field
    + debian/control: Depends on ldap-auth-config
    + debian/control: removed Build-Depends on po-debconf and Depends on
      debconf (debconf handled by ldap-auth-config now)
    + removed the following files:
      debian/config
      debian/libnss-ldap.postinst
      debian/libnss-ldap.postrm
      debian/patches/00debian_conf.patch
      debian/po
      debian/templates
    + debian/LDAP-Permissions.txt: use /etc/ldap.conf
    + debian/README.Debian: use /etc/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/rules: remove binary-post-install/libnss-ldap
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/libnss-ldap.dirs: removed usr/share/libnss-ldap
  * Remaining changes from debian unstable for LP: #155947:
    + added debian/nssldap-update-ignoreusers which updates
      nss_initgroups_ignoreusers in /etc/ldap.conf based on
      nss_initgroups_minimum_uid
    + add manpage for nssldap-update-ignoreusers
    + debian/libnss-ldap.install: added usr/sbin/nssldap-update-ignoreusers
      and usr/share/man/man8/nssldap-update-ignoreusers.8
    + added debian/libnss-ldap.init to call nssldap-update-ignoreusers on
      shutdown
    + debian/rules: install initscript
    + debian/libnss-ldap.dirs: added var/lib/libnss-ldap
    + debian/patches/01_minimum_uid.patch: update ldap.conf and manpage for
      nss_initgroups_ignoreusers and nss_initgroups_minimum_uid updates

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Jun 2008 09:06:38 -0400

libnss-ldap (260-1) unstable; urgency=low

  * New upstream release
    - incorrect return from getgrent            Closes: #466647

  * An odd, but important, note from your maintainer...
    Please look at the libnss-ldapd package, and if it fits your needs,
    consider using it - it is much easier on you ldap server, but is still
    missing a few items, which may make it still unusable for you.

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 04 Apr 2007 23:53:00 -0000

libnss-ldap (259-1) unstable; urgency=low

  * New upstream release
  * Remove patches included upstream
    - 00double_free
  * try, but fail to enable --enable-configurable-krb5-keytab
  * Remove old kluge /etc/init.d/libnss-ldap
  * Use newer LDAP libraries                    Closes: #443361

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 13 Nov 2007 17:06:00 -0000

libnss-ldap (258-1ubuntu3) hardy; urgency=low

  * add nssldap-update-ignoreusers that updates nss_initgroups_ignoreusers in
    /etc/ldap.conf based on nss_initgroups_minimum_uid. Added initscript to
    call nssldap-update-ignoreusers on shutdown. Based on changes by
    Dustin Kirkland. Fix for LP: #155947
  * References
    https://bugs.edge.launchpad.net/ubuntu/+source/libnss-ldap/+bug/155947

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Apr 2008 14:07:14 -0400

libnss-ldap (258-1ubuntu2) hardy; urgency=low

  * No-change rebuild against libldap-2.4-2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jan 2008 17:01:41 +0000

libnss-ldap (258-1ubuntu1) hardy; urgency=low

  * Merged with Debian.  Ubuntu changes are: 
    + debian/control: update Maintainer field now that in main
    + debian/control: Depends on ldap-auth-config
    + debian/control: removed Depends on po-debconf and debconf (debconf
      handled by ldap-auth-config now)
    + removed the following files:
      debian/config
      debian/libnss-ldap.postinst
      debian/libnss-ldap.postrm
      debian/patches/00debian_conf.patch
      debian/po
      debian/templates
    + debian/LDAP-Permissions.txt: use ldap.conf
    + debian/README.Debian: use ldap.conf
    + debian/libnss-ldap.install: removed usr/share/libnss-ldap/ldap.conf
    + debian/rules: don't use --with-ldap-conf-file and --with-ldap-secret-file
    + debian/rules: remove binary-post-install/libnss-ldap

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Nov 2007 18:31:04 +0000

libnss-ldap (258-1) unstable; urgency=low

  * New upstream release
    - replacement code for Kerbeors SASL operations    closes: #396672
    - nss_ldap constructs LDAP URIs incorrectly        closes: #425379
  * drop patches applied upstream
    - 00ignore_sigpipe_h.patch
    - 00ignore_sigpipe_c.patch
  * Fix the config file miss-edit (host vs uri)  closes: #408440, #411923

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 20 Oct 2007 22:28:00 -0000

libnss-ldap (256-1) unstable; urgency=low

  * New upstream release
  * Add watch file

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 23 Jun 2007 21:18:00 -0000

libnss-ldap (255-1ubuntu2) gutsy; urgency=low

  * updated README.Debian and LDAP-Permissions.txt to refer to /etc/ldap.conf
    and /etc/ldap.secret

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Oct 2007 08:19:33 -0400

libnss-ldap (255-1ubuntu1) gutsy; urgency=low

  * Removed all debconf stuff.  This is now in ldap-auth-config.
  * Changed back to original /etc/ldap.conf.

 -- Rick Clark <rick.clark@ubuntu.com>  Wed, 01 Aug 2007 11:29:09 -0400

libnss-ldap (255-1) unstable; urgency=low

  * Survived i386 and amd64, let it loose

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 14 May 2007 19:40:00 -0000

libnss-ldap (255-0) private; urgency=low

  * New maintainer
  * New upstream release
  * Bump DH_COMPAT to 5
  * Use (and build-depend on) dh_buildinfo
  * Since cdbs is already in use, let it manage patching
    - 00debian_conf.patch
    - 00no_hangs_h.patch
    - 00authpriv_log_h.patch
    - 00authpriv_log_c.patch
    - 00uid_t.patch
    - 00ignore_sigpipe_h.patch
    - 00ignore_sigpipe_c.patch
    - 00double_free.patch                  Closes: #366172
  * Drop patches applied upstream
    - fd leak in do_close_no_unbind
  * Test a while...

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 11 May 2007 05:15:00 -0000

libnss-ldap (251-7.5) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix a file descriptor leak on server socket shutdown, which can cause a
    long-lived process (particularly nscd) to quickly run out of file
    descriptors.  Thanks to Dean Gaudet <dean@artic.org> for the patch.
    Closes: #401758.

 -- Steve Langasek <vorlon@debian.org>  Sun, 25 Mar 2007 04:02:15 -0700

libnss-ldap (251-7.4) unstable; urgency=low

  * Non-maintainer upload to fix forgotten issues in the previous NMU.
  * Debconf translations:
    - Swedish. Closes: #406762
    - Russian. Closes: #411948

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Mar 2007 09:28:24 +0100

libnss-ldap (251-7.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Convert all files to UTF-8
    - German. Closes: #411080
    - Portuguese unfuzzied
  * Lintian fixes:
    - Remove DH_COMPAT=4 in debian/rules as we already have debian/compat
      with the same compatibility level
    - Use current config.{guess|sub} instead of the very old
      version provided in source. This should be done more cleanly but
      changing the package build system so close to the release is certainly
      not a good idea.

 -- Christian Perrier <bubulle@debian.org>  Fri,  2 Mar 2007 08:14:07 +0100

libnss-ldap (251-7.2) unstable; urgency=low

  * Non maintainer upload for QA work on debconf templates and translations
  * Add debconf-updatepo to the clean target to provide up-to-date
    PO files. Closes: #375107
  * Rewrite templates to fit the Developer's Reference recommendations
    Closes: #375107
  * Lintian fixes:
    - Remove useless DH_COMPAT in debian/rules
  * Debconf templates translations:
    - Added Galician. Closes: #406595
    - Added Norwegian Bokmål. Closes: #406629
    - Added Portuguese. Closes: #407227
    - Updated Czech. Closes: #406661
    - Updated Danish. Closes: #406896
    - Updated Japanese. Closes: #406599
    - Updated Spanish
    - Updated Vietnamese
    - Updated Catalan

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2007 18:15:29 +0100

libnss-ldap (251-7.1) unstable; urgency=high

  * Non-maintainer upload to fix ignored l10n issues and a RC bug
  * Take preseeded debconf value into account. Closes: #400192
  * Debconf templates translations:
    - Updated Danish. Closes: #376905
    - Updated Japanese. Closes: #379949
    - Updated Czech. Closes: #384753
    - Updated Spanish. Closes: #402298
    - Updated Portuguese. Closes: #403509
    - Updated German. Closes: #401470
    - Updated French

 -- Christian Perrier <bubulle@debian.org>  Sun,  7 Jan 2007 12:40:00 +0100

libnss-ldap (251-7) unstable; urgency=low

  * Meh, correctly include escape-fixing NMU

 -- Stephen Frost <sfrost@debian.org>  Fri,  3 Nov 2006 21:46:02 -0500

libnss-ldap (251-6) unstable; urgency=low

  * Acknowledge NMUs (Closes: #377895, #390241, #390957)
  * Resolve timing issues,
    Closes: #375077, #375215, #390926, #391053, #391167, #394152, #391829

 -- Stephen Frost <sfrost@debian.org>  Sun, 22 Oct 2006 19:19:59 -0400

libnss-ldap (251-5.2) unstable; urgency=high

  * Non-maintainer upload.
  * When doing substitutions in libnss-ldap.conf, pass the values to the Perl
    program as environment variables instead of directly to the program;
    should eliminate the problems with having to escape them.
    (Closes: #376684, #386141)
  * Change the init script policy. Instead of stopping libnss-ldap.init on
    clean shutdown (touching a file) and starting it after networking (rm-ing
    it), we touch the file in /lib/init/rw as soon as possible (right before
    udev is started, touching a file) and stop it after initial system bootup.
    This fixes both issues with /var being on a separate partition, and
    unclean shutdown where the file would not be created. (To make sure we
    don't get similar problems during shutdown, we create it in runlevels 0
    and 6 as before, but we don't assume it's still there when we boot, since
    it's on a tmpfs now.) (Closes: #375077)
  * Block SIGPIPE in do_atfork_child(), as some versions of libldap2 in some
    circumstances (notably with TLS enabled) write data onto our dummy socket
    during close, which raises a SIGPIPE that should not be delivered on to the
    application. (Closes: #376426, #388574)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 29 Sep 2006 12:29:33 +0200

libnss-ldap (251-5.1) unstable; urgency=low

  * Fixed regexp in postinstall script as described by
    Peter Buecker in the BTS (closes: #377895)

 -- Mathias Weyland <mathias@weyland.ch>  Sat,  9 Sep 2006 18:28:54 +0200

libnss-ldap (251-5) unstable; urgency=low

  * Handle case when /var/lib is not yet available
    (ie: very early in the boot process)

 -- Stephen Frost <sfrost@debian.org>  Mon, 26 Jun 2006 14:53:29 -0400

libnss-ldap (251-4) unstable; urgency=low

  * Added system which implicitly sets bind_policy to 'soft'
    during system boot/shutdown.  This is implemented by an
    init script run at end of system boot and start of system
    shutdown which creates/removes a file in /var/lib/libnss-ldap
    called 'bind_policy_soft'.  When this file exists the policy
    is treated as 'soft' regardless of the configuration in
    /etc/nss-ldap.conf.  Note that soft doesn't mean 'always
    fail' but rather only try to connect to each URI listed in
    the configuration file once, with no sleeping.
    Closes: #375077, #375215

 -- Stephen Frost <sfrost@debian.org>  Mon, 26 Jun 2006 14:03:21 -0400

libnss-ldap (251-3) unstable; urgency=low

  * Handle both host and uri cases from debconf, Closes: #375097
  * Escape dashes in value handling, Closes: #375108

 -- Stephen Frost <sfrost@debian.org>  Fri, 23 Jun 2006 23:11:24 -0400

libnss-ldap (251-2) unstable; urgency=low

  * Copy existing ldap.secret to new location, if it exists.

 -- Stephen Frost <sfrost@debian.org>  Thu, 22 Jun 2006 21:59:20 -0400

libnss-ldap (251-1) unstable; urgency=low

  * New upstream version, Closes: #332600
  * Upstream fixes, Closes: #323580, #302391, #308490
  * Maintainer upload, Closes: #316973, #335133
  * Changed debconf 'host' question to 'uri', Closes: #312284, #359341
  * Added additional commentary to the ldap.conf, Closes: #368191, #369192
  * Enabled configurable krb5 CCNAME, Closes: #352032
  * Included Swedish, Vietnamese and Czech translations,
    Closes: #317672, #312435, #340633
  * Modified syslog() calls to use LOG_AUTHPRIV facility, Closes: #310421
  * Removed build-depend on libdb4.2-dev, Closes: #302541
  * Changed nscd restart to use invoke-rc.d, Closes: #367766
  * Changed depends to allow debconf-2.0, Closes: #332001
  * Ensure that libnss-ldap is compiled with libpthread,
    Closes: #314461, #330911, #366540, #347477
  * Changed to using upstream manpage, Closes: #302396
  * Added escaping to password handling, Closes: #341539
  * Moved ldap.secret to libnss-ldap.secret, Closes: #302562
  * Upstream removed RFC from tarball, Closes: #199810
  * Cleaned up copyright file, Closes: #364051
  * Fixed possible overflow in uid/gid handling, Closes: #354093

 -- Stephen Frost <sfrost@debian.org>  Thu, 22 Jun 2006 10:01:07 -0400

libnss-ldap (238-1) unstable; urgency=low

  * New upstream version, Closes: #292538
  * Appears to be fixed accorindg to upstream changelog, Closes: #282209
  * Added --enable-paged-results, Closes: #272793, #273793
  * Link against libldap_r instead of libldap, Closes: #277640
  * Updated Catalan translation, Closes: #279432
  * Updated German translation, Closes: #280996

 -- Stephen Frost <sfrost@debian.org>  Tue, 29 Mar 2005 23:04:48 -0500

libnss-ldap (220-1) unstable; urgency=low

  * New upstream version, Closes: #254605, #259243
    (Apparently, anyway.  I reproduced the problem with the old
     version and then installed the new and it fixed it.  I'm
     not 100% sure that a malformed DB_CONFIG couldn't still
     cause some problem though.  It would seem more like a
     problem w/ libdb in any case though...)
     (Why was this sev:normal?) Closes: #254608, #258811
  * Updated Russian translation, Closes: #221658
  * Netgroups Description fixed, Closes: #222602, #222603
  * Updated French translation, Closes: #235163
  * Updated Danish translation, Closes: #235316
  * Added Catalan translation, Closes: #248721

 -- Stephen Frost <sfrost@debian.org>  Sat,  7 Aug 2004 15:49:05 -0400

libnss-ldap (215-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Frost <sfrost@debian.org>  Sun, 15 Feb 2004 22:08:50 -0500

libnss-ldap (211-4) unstable; urgency=low

  * Try again to fix the build problem on the buildds.  Very odd.

 -- Stephen Frost <sfrost@debian.org>  Fri,  3 Oct 2003 09:33:06 -0400

libnss-ldap (211-3) unstable; urgency=low

  * Attempt to fix build problem with installing nss_ldap.so into debian/tmp
    (It didn't create the directories for some reason..  Very odd.)

 -- Stephen Frost <sfrost@debian.org>  Thu,  2 Oct 2003 16:14:14 -0400

libnss-ldap (211-2) unstable; urgency=low

  * Add -fPIC for silly systems, Closes: #213513.

 -- Stephen Frost <sfrost@debian.org>  Wed,  1 Oct 2003 14:56:44 -0400

libnss-ldap (211-1) unstable; urgency=low

  * New upstream release, Closes: #207046.
  * New maintainer
  * Moved to CDBS
  * Nuked the (pretty much) unnecessary/unused patches.
  * Added nl.po and ja.po translations, Closes: #204758, #210973.
  * Added minor patch to improve logging, Closes: #194044.
  * Added in people.ldif/groups.ldif examples, Closes: #202629.

 -- Stephen Frost <sfrost@debian.org>  Wed, 10 Sep 2003 22:19:21 -0400

libnss-ldap (207-1) unstable; urgency=low

  * New upstream release (Closes: #192161)
  * Updated standards-version to 3.5.9, no changes.
  * Make the build scripts use -fPIC for the whole process. (Closes: #185937)
  * Removed LdapNS-howto, it's outdated (Closes: #179359)
  * Updated nsswitch.ldap to reflect the current state of libnss-ldap
    (Closes: #192208)

 -- Sami Haahtinen <ressu@debian.org>  Fri,  9 May 2003 13:35:31 +0300

libnss-ldap (204-3) unstable; urgency=low

  * Re-update the french Debconf translations from bug #183953.. bad DDTP!
    BAD! (Closes: #185914)
  * Regenerate automake and autoconf files (Closes: #185937)

 -- Sami Haahtinen <ressu@debian.org>  Sun, 23 Mar 2003 11:16:48 +0200

libnss-ldap (204-2) unstable; urgency=low

  * Fixed the build problems, by adding automake1.6 to dependancies
    (Closes: #184692)
  * Added debconf translations from ddtp

 -- Sami Haahtinen <ressu@debian.org>  Fri, 14 Mar 2003 22:44:55 +0200

libnss-ldap (204-1) unstable; urgency=low

  * New upstream release
  * Switched to CBS.
  * Disabled our IPv6 patch, the upstream has new additions to IPv6

 -- Sami Haahtinen <ressu@debian.org>  Sun,  9 Mar 2003 02:41:03 +0200

libnss-ldap (203-1) unstable; urgency=low

  * New upstream release
  * Applied patch by Steve Langasek to read the debconf questions from the
    configuration file instead of using the previously given (Closes: #156858)
  * Bumped Standards-Version to 3.5.8.0

 -- Sami Haahtinen <ressu@debian.org>  Mon, 16 Dec 2002 21:39:44 +0200

libnss-ldap (202-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
  * partially fix IPv6 problems

 -- Bastian Blank <waldi@debian.org>  Sun, 15 Dec 2002 17:51:06 +0100

libnss-ldap (199-1) unstable; urgency=low

  * New upstream release
  * Upstream added new option bind_policy added documentation to manual
  * Enabling SSL support again. (Closes: #147106)
  * Added libdb-dev to build depends, schema mapping needs it.
  * Changed config to use Debconf::Client::ConfModule now that woody is out.
  * Fixed the ###DEBCONF### detection which caused a bit of problems for some
    users.

 -- Sami Haahtinen <ressu@debian.org>  Wed, 14 Aug 2002 19:43:57 +0300

libnss-ldap (188-1) unstable; urgency=low

  * New upstream release
  * Upstream now includes the patch from Luca Filipozzi which improves the
    socket handling in extreme cases. (Closes: #140854)

 -- Sami Haahtinen <ressu@debian.org>  Tue,  7 May 2002 22:28:58 +0300

libnss-ldap (186-1) unstable; urgency=low

  * New upstream release
  * Added french translation of debconf templates.
    Thanks go to Philippe Batailler (Closes: #140827)
  * Upstream included the patch from bug 140854, which adds better handling of
    extreme filehandle usage, a big thanks to Luca Filipozzi for sorting this
    out with the upstream (Closes: #140854)
  * Added an extra note about ###DEBCONF### in configuration to README.Debian,
    hopefully people will read it. there is a note about this when debconf is
    run, but it's not critical so it's on medium priority. sigh...
    (Closes: #139959)
  * enabled schema mapping (Closes: #131280)
  * Made postinst change the permission back from 0600 if it wasn't wanted,
    interestin and ugly hack, but hey.. atleast it works.. =)
    (Closes: #130871)

 -- Sami Haahtinen <ressu@debian.org>  Thu,  4 Apr 2002 21:20:40 +0300

libnss-ldap (184-2) unstable; urgency=low

  * Setting FD_CLOEXEC to the socket. (Closes: #136953)

 -- Sami Haahtinen <ressu@debian.org>  Sun, 24 Mar 2002 21:17:22 +0200

libnss-ldap (184-1) unstable; urgency=low

  * New upstream release
  * Improved SIGPIPE handling (Closes: #130006,#92199)
  * Rebuild fixes bug 133398 (Closes: #133398)

 -- Sami Haahtinen <ressu@debian.org>  Sat, 16 Feb 2002 12:35:19 +0200

libnss-ldap (176-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Wed,  9 Jan 2002 10:05:30 +0200

libnss-ldap (174-1) unstable; urgency=medium

  * New upstream release
  * Moved Configuration template to /usr/share/libnss-ldap
  * Changed config to use the stubbed Debconf library (and raised the urgency
    to medium, this needs to go to woody) (Closes: #121918)
  * Applied the Grammar Patch by Branden Robinson (Closes: #121567)
  * Fixed some major stupidity in Debconf configuration script.

 -- Sami Haahtinen <ressu@debian.org>  Tue, 11 Dec 2001 15:32:03 +0200

libnss-ldap (173-1) unstable; urgency=low

  * New upstream release
  * Added Brazilian translation, thanks to Andre Luis Lopes (Closes: #114007)

 -- Sami Haahtinen <ressu@debian.org>  Sat, 17 Nov 2001 00:42:07 +0200

libnss-ldap (172-1) unstable; urgency=low

  * New upstream release
  * Fixed priorities, related to bug #108864
  * Rewrote configuration script in perl, still the same is waiting for
    postinst

 -- Sami Haahtinen <ressu@debian.org>  Wed,  5 Sep 2001 22:00:48 +0300

libnss-ldap (163-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Wed, 11 Jul 2001 20:09:48 +0300

libnss-ldap (162-1) unstable; urgency=low

  * New upstream release
  * This release fixes the syncronous lookups bug..

 -- Sami Haahtinen <ressu@debian.org>  Wed, 11 Jul 2001 16:54:41 +0300

libnss-ldap (161-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Tue, 10 Jul 2001 17:21:40 +0300

libnss-ldap (160-2) unstable; urgency=low

  * removed the _nss_ldap_getbyname synchronous patch (Closes: #103734)

 -- Sami Haahtinen <ressu@debian.org>  Sat,  7 Jul 2001 00:51:45 +0300

libnss-ldap (160-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Thu,  5 Jul 2001 17:40:10 +0300

libnss-ldap (159-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Thu, 28 Jun 2001 09:47:59 +0300

libnss-ldap (156-1) unstable; urgency=low

  * New upstream release
  * Finally a working version!
  * --disable-ssl was applied upstream

 -- Sami Haahtinen <ressu@debian.org>  Fri, 22 Jun 2001 08:26:41 +0300

libnss-ldap (155-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Wed, 20 Jun 2001 23:57:02 +0300

libnss-ldap (154-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Wed, 20 Jun 2001 10:02:31 +0300

libnss-ldap (153-1) unstable; urgency=low

  * New upstream release
  * Added patch: --disable-ssl

 -- Sami Haahtinen <ressu@debian.org>  Tue,  5 Jun 2001 23:06:14 +0300

libnss-ldap (150-4) unstable; urgency=low

  * Fixed bash-ism in postinst (Closes: #95275)

 -- Sami Haahtinen <ressu@debian.org>  Thu, 26 Apr 2001 22:17:06 +0300

libnss-ldap (150-3) unstable; urgency=low

  * 'Not really my day' release.
  * This time really fixed the one broken db_input (Closes: #94795)
  * added Debconf question for LDAP version (Closes: #94789)
  * cleaned up the example ldap.conf which is used as a base for a new install

 -- Sami Haahtinen <ressu@debian.org>  Sun, 22 Apr 2001 11:03:04 +0300

libnss-ldap (150-2) unstable; urgency=low

  * missed one db_input when i was checking for '|| true's fixed now.
    (Closes: #94710)

 -- Sami Haahtinen <ressu@debian.org>  Sat, 21 Apr 2001 19:37:57 +0300

libnss-ldap (150-1) unstable; urgency=low

  * New upstream release
  * Converted to debconf
  * /etc/libnss-ldap.conf is no longer listed as a conffile

 -- Sami Haahtinen <ressu@debian.org>  Mon, 16 Apr 2001 01:40:54 +0300

libnss-ldap (149-2) unstable; urgency=low

  * Removed reference to debconf from postinst (Closes: #93180)

 -- Sami Haahtinen <ressu@debian.org>  Sat,  7 Apr 2001 14:42:09 +0300

libnss-ldap (149-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Sun, 11 Mar 2001 18:50:15 +0200

libnss-ldap (140-3) unstable; urgency=low

  * Took over the package from evo

 -- Sami Haahtinen <ressu@debian.org>  Wed, 28 Feb 2001 15:24:38 +0200

libnss-ldap (140-2) unstable; urgency=low

  * Fixed debian/rules to remove debug stuff (yes, upstream configure is
    broken, already reported); closes: #85084.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue,  6 Feb 2001 14:37:46 +0100

libnss-ldap (140-1) unstable; urgency=low

  * New upstream version.
  * I've decided to remove all debconf support from /etc/libnss-ldap.conf
    until I manage to find a better way to handle configuration modifications.
    closes: #82102, #83766.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  5 Feb 2001 17:25:35 +0100

libnss-ldap (123-2) unstable; urgency=low

  * "s/Suggests/Depends" debconf; debconf ask you if you want or not to use the
    ldap version of /etc/nsswitch.conf; closes: #78110.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 28 Nov 2000 19:56:37 +0100

libnss-ldap (123-1) unstable; urgency=low

  * New upstream version.
  * Fixed a stupid typo into debian/templates.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 24 Nov 2000 16:10:41 +0100

libnss-ldap (122-2) unstable; urgency=low

  * Compiled against libldap2 2.0.7-1; closes: #72118, #75325.
    Thanks to Martijn van de Streek and Sami Haahtinen.

  * Added "Suggests: debconf" and removed some debug stuff from postinst;
    closes: #76363.

  * debian/postinst: now we must restart nscd if it's running.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 11 Nov 2000 19:15:41 +0100

libnss-ldap (122-1) unstable; urgency=HIGH

  * New upstream version that fixes an important security related bug.
    For more info check http://bugzilla.padl.com/show_bug.cgi?id=49.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  3 Nov 2000 21:28:45 +0100

libnss-ldap (120-1) unstable; urgency=low

  * New upstream version.
  * Added debconf support, patch provided by Michael Vogt <mvogt@acm.org>.
  * Standard compliant to 3.2.1

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 15 Oct 2000 13:37:11 +0200

libnss-ldap (118-1) unstable; urgency=low

  * New upstream version.
  * This situation isn't reproducible by me or other people, probably
    it's a local problem, so I'm closing it; if it occurs also with new
    upstream version feel free to reopen the bug. closes: #72118.
  * Now ssh doesn't segfault, here we go! :)

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 12 Oct 2000 17:33:27 +0200

libnss-ldap (116-2) unstable; urgency=low

  * Oops, previous version was broken, now it should work,
    I hope :); closes: #71749.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 18 Sep 2000 19:05:21 +0200

libnss-ldap (116-1) unstable; urgency=low

  * New upstream version.
  * Compiled against libldap2.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 14 Sep 2000 19:38:32 +0200

libnss-ldap (115-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 31 Aug 2000 17:06:59 +0200

libnss-ldap (113-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Fixed LdapNS-howto.txt; closes: #68430.
  * ldapmigrate and ldapinit are into a different upstream
    tarball; closes: #66194.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 23 Aug 2000 21:51:06 +0200

libnss-ldap (110-2) frozen unstable; urgency=low

  * Fix minor (but important) thinko in previous patch

 -- Ben Collins <bcollins@debian.org>  Thu, 29 Jun 2000 22:48:41 -0400

libnss-ldap (110-1) frozen unstable; urgency=low

  * uptream patch merge with fixes, closes: #62695
  * After looking at this, I think it is better to let nss_ldap continue
    to use only RFC compliant attributes and not support non-RFC compliant
    ones, closes: #48953
  * Added patch to escape search filter from user input, closes: #66116

 -- Ben Collins <bcollins@debian.org>  Thu, 29 Jun 2000 22:08:38 -0400

libnss-ldap (99-1) unstable; urgency=low

  * New upstream version.

 -- Ben Collins <bcollins@debian.org>  Thu, 16 Dec 1999 21:30:07 -0500

libnss-ldap (97-1) unstable; urgency=low

  * New upstream version, ChangeLog reports fix for..., closes: #48953

 -- Ben Collins <bcollins@debian.org>  Thu, 25 Nov 1999 01:27:27 -0500

libnss-ldap (87-1) unstable; urgency=low

  * New upstream version
  * Standard compliant to 3.0.1.1

 -- Ben Collins <bcollins@debian.org>  Sun,  3 Oct 1999 14:40:59 -0400

libnss-ldap (2.65-1) unstable; urgency=low

  * New upstream source
  * Reompiled against newest libopenldap1

 -- Ben Collins <bcollins@debian.org>  Sat, 12 Jun 1999 14:35:49 -0400

libnss-ldap (2.64-1) unstable; urgency=low

  * New upstream release
  * Removed nsswitch.ldap from /etc on install...it's still in /usr/doc
    closed: #37186

 -- Ben Collins <bcollins@debian.org>  Sat,  8 May 1999 20:11:04 -0400

libnss-ldap (2.60-1) unstable; urgency=low

  * New upstream version

 -- Ben Collins <bcollins@debian.org>  Fri, 16 Apr 1999 12:31:09 -0400

libnss-ldap (2.55-1) unstable; urgency=low

  * New upstream source with a lot of GLIBC 2.1 changes merged in

 -- Ben Collins <bcollins@debian.org>  Sun, 11 Apr 1999 12:37:44 -0400

libnss-ldap (2.54.4-1) unstable; urgency=low

  * New upstream release
  * Lot's of glibc 2.1 related patches merged upstream
  * Makefile changes merged upstream

 -- Ben Collins <bcollins@debian.org>  Tue, 23 Mar 1999 19:44:14 -0500

libnss-ldap (2.54-1) unstable; urgency=low

  * New upstream source
  * Added manpage for libnss-ldap.conf from rage.net
  * Redid make setup to be more glibc like in the library install (so name
    is generated based on current installation as well as links)
  * Added LdapNS-howto.txt from rage.net
  * Cleaned up patch for glibc 2.1 (libc-lock.h) to allow compilation
    under glibc 2.0 still

 -- Ben Collins <bcollins@debian.org>  Tue,  9 Mar 1999 00:43:31 -0500

libnss-ldap (2.49-2) unstable; urgency=low

  * Updated soname to match glibc 2.1
  * libc-lock.h is now in /usr/include/bits (glibc 2.1)
  * Added recommend for nscd (improves performance)

 -- Ben Collins <bcollins@debian.org>  Sat,  6 Mar 1999 18:02:22 -0500

libnss-ldap (2.49-1) unstable; urgency=low

  * Initial Release.

 -- Ben Collins <bcollins@debian.org>  Thu, 11 Feb 1999 22:46:20 -0500

